package com.chinaitop.depot.intelligent.basicdata.mapper;

import com.chinaitop.depot.intelligent.basicdata.model.TNNtinfoHistory;
import com.chinaitop.depot.intelligent.basicdata.model.TNNtinfoHistoryExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface TNNtinfoHistoryMapper {
    int countByExample(TNNtinfoHistoryExample example);

    int deleteByExample(TNNtinfoHistoryExample example);

    int deleteByPrimaryKey(String id);

    int insert(TNNtinfoHistory record);

    int insertSelective(TNNtinfoHistory record);

    List<TNNtinfoHistory> selectByExample(TNNtinfoHistoryExample example);

    TNNtinfoHistory selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") TNNtinfoHistory record, @Param("example") TNNtinfoHistoryExample example);

    int updateByExample(@Param("record") TNNtinfoHistory record, @Param("example") TNNtinfoHistoryExample example);

    int updateByPrimaryKeySelective(TNNtinfoHistory record);

    int updateByPrimaryKey(TNNtinfoHistory record);
}